View Issue Details

IDProjectCategoryView StatusLast Update
0034528FPCCompilerpublic2018-11-09 00:46
ReporterKarl-Michael SchindlerAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS XOS Version10.5, 10.6
Product Version3.3.1Product Build40272 
Target VersionFixed in Version3.3.1 
Summary0034528: Revision breaks building compiler
DescriptionRevision breaks building compiler. Error message:

...
Assembling (pipe) x86_64/units/x86_64-darwin/hlcgcpu.s
Assembling (pipe) x86_64/units/x86_64-darwin/ncgutil.s
cgx86.pas(1111,24) Error: Identifier not found "addr_ntpoff"
cgx86.pas(3682) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
make: *** [Makefile:4356: ppcx64] Fehler 1
make: Verzeichnis „/BlaBla/FreePascal/compiler“ wird verlassen
Steps To Reproducesvn up -r 40272
make -C compiler all
Additional InformationI do not think, that it really matters, but for the sake of completeness: Host: macOS 10.13; bootstrap compiler: ppcx64, version 3.0.4
TagsNo tags attached.
Fixed in Revision40275
FPCOldBugId
FPCTarget
Attached Files

Activities

Thaddy de Koning

2018-11-08 16:29

reporter   ~0111866

arm-linux is ok:
fpc -v
Free Pascal Compiler version 3.3.1-r40253 [2018/11/07] for arm
Copyright (c) 1993-2018 by Florian Klaempfl and others

Dimitrios Chr. Ioannidis

2018-11-08 19:08

reporter   ~0111867

Last edited: 2018-11-08 19:11

View 3 revisions

Broken also for x86_64-linux( Debian 9, bootstrap 3.0.2 ppcx64 ) :

/bin/mkdir -p x86_64/units/x86_64-linux
/home/dimitris/Programming/tools/fpc/ppcx64 -Ur -Xs -O2 -n -Fux86_64 -Fusystems -Fu/home/dimitris/Programming/tools/fpc/trunk/source/rtl/units/x86_64-linux -Fix86_64 -FEx86_64/bin/x86_64-linux -FUx86_64/units/x86_64-linux -Cg -dRELEASE -g -gw2 -OpCOREI -OoFASTMATH -OoPEEPHOLE -dx86_64 -dGDB -dBROWSERLOG -Fux86 -Sew pp.pas
cgx86.pas(1111,24) Error: Identifier not found "addr_ntpoff"
cgx86.pas(3682) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
Makefile:4356: recipe for target 'ppcx64' failed
make[5]: *** [ppcx64] Error 1

Karl-Michael Schindler

2018-11-09 00:45

reporter   ~0111877

Fix confirmed. Thanks.

Issue History

Date Modified Username Field Change
2018-11-08 16:24 Karl-Michael Schindler New Issue
2018-11-08 16:29 Thaddy de Koning Note Added: 0111866
2018-11-08 19:08 Dimitrios Chr. Ioannidis Note Added: 0111867
2018-11-08 19:10 Dimitrios Chr. Ioannidis Note Edited: 0111867 View Revisions
2018-11-08 19:11 Dimitrios Chr. Ioannidis Note Edited: 0111867 View Revisions
2018-11-08 19:46 Florian Fixed in Revision => 40275
2018-11-08 19:46 Florian Status new => resolved
2018-11-08 19:46 Florian Fixed in Version => 3.3.1
2018-11-08 19:46 Florian Resolution open => fixed
2018-11-08 19:46 Florian Assigned To => Florian
2018-11-09 00:45 Karl-Michael Schindler Note Added: 0111877
2018-11-09 00:45 Karl-Michael Schindler Status resolved => closed